Subject: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Gregory Heytings <[email-masked]>
Date: Mon, 10 May 2021 16:24:07 +0000

>> The patch I just sent avoids that problem, and does what other programs 
>> do when the user zooms: their frames are not resized.
>
> I think it's a mistake.  Other programs don't change all the fonts on 
> display, only the one in the main window, which is more similar to 
> text-scale-adjust.  This feature was supposed to change _everything_, 
> which is why it modifies the default face.
>

Indeed, but that feature is already present on C-x C-{+-0}.  And I don't 
know any other program that changes its frame size when a zoom factor is 
applied.

What the existing C-x C-{+-0} does is what C-{+-0} does in Atom.  What the 
proposed C-x C-M-{+-0} does is what C-{+-0} does in Visual Studio.

As I said, I would not object to make this configurable with a defcustom, 
which would default to "do not resize".  Would you agree with that?